Retrieves yearly Carbon Emissions data that is split by year, then by Gas Type and one of the following group types: ( Scope, Scope Category, Commodity ). Also includes target data, if target comparisons are enabled and set.
Use this endpoint to get GHG carbon footprint data for the V202211 carbon footprint widget visualization.
Supports grouping by Scope, Scope Category, or Commodity and includes year-over-year comparisons.
Supports global dashboard filter overrides.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Unique numeric identifier of the specific Carbon Footprint widget instance | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | Optional global dashboard filter that adds to or overrides saved widget filter values | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountId | Integer | equals | |
| budgetVersionId | Integer | equals | |
| Channel | Channel | String | equals |
| chartType | Chart Type | String | equals |
| commodityCategoryID | Integer | equals | |
| commodityId | Integer | equals | |
| cumulative | Display as Cumulative | Boolean | equals |
| DataPointID | Integer | equals | |
| emissionSourceId | Integer | equals | |
| EsaChannelID | Integer | equals | |
| esaIntervalWidgetGroupBy | Group By | String | equals |
| includeAccountCharges | Include Account Charges | Boolean | equals |
| includeAccruals | Include Accruals | Boolean | equals |
| meterGroupInfo | Meter Group Display | String | equals |
| meterId | Integer | equals | |
| numberOfYears | Integer | equals | |
| placeGroupId | Integer | equals | |
| placeGroupName | Place Group Name | String | equals |
| rateId | Integer | equals | |
| readingDate | Reading Date | DateTime | equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days |
| Schedule | Schedule | String | equals |
| topmostCollectionId | Integer | equals | |
| topmostCostCenterId | Integer | equals | |
| topmostPlaceCode | Topmost Place Code | String | equals |
| topmostPlaceId | Integer | equals | |
| topmostPlaceName | Topmost Place Name | String | equals |
| vendorId | Integer | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
GHGCarbonFootprintResponseV202211
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| periodRange | PeriodRange | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PeriodRange properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| targetData | GHGTargetEmissionsV202211 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GHGTargetEmissionsV202211 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| yearlyData | GHG Emissions data, split by year, then by group and gas type. | GHGYearlyEmissionsV202211[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GHGYearlyEmissionsV202211 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "periodRange": { "endPeriod": 1, "startPeriod": 1
}, "targetData": { "adjustedTargetYear": { "targetPerformancePercentage": 1.0, "totalYearlyEmissions": 1.0, "year": "string", "yearlyEmissionsByGasType": [], "yearlyEmissionsByGroup": []
}, "adjustedYTDTargetYear": { "targetPerformancePercentage": 1.0, "totalYearlyEmissions": 1.0, "year": "string", "yearlyEmissionsByGasType": [], "yearlyEmissionsByGroup": []
}, "baseTargetYear": { "targetPerformancePercentage": 1.0, "totalYearlyEmissions": 1.0, "year": "string", "yearlyEmissionsByGasType": [], "yearlyEmissionsByGroup": []
}
}, "yearlyData": [
{ "targetPerformancePercentage": 1.0, "totalYearlyEmissions": 1.0, "year": "string", "yearlyEmissionsByGasType": [
{ "groupInfo": "string", "totalEmissions": 1.0
}
], "yearlyEmissionsByGroup": [
{ "groupInfo": "string", "totalEmissions": 1.0
}
]
}
]
}